﻿#light

open System
open System.Drawing
open System.Windows.Forms

// Create the progressbar.
let statusProgress =
    new ToolStripProgressBar(Size = new Size(200, 16),
                             Style = ProgressBarStyle.Marquee,
                             Visible = false)
let status = new StatusStrip(Dock = DockStyle.Bottom)
status.Items.Add(statusProgress) |> ignore

// Create controls
let toolbar = new ToolStrip(Dock = DockStyle.Top)
let address = new ToolStripTextBox(Size = new Size(400, 25))
let browser = new WebBrowser(Dock = DockStyle.Fill)
let go = new ToolStripButton(DisplayStyle = ToolStripItemDisplayStyle.Text, Text = "Go")
address.KeyPress.Add(fun e ->
                     if (e.KeyChar = '\r') then
                        browser.Url <- new Uri(address.Text))
                       
go.Click.Add(fun e -> browser.Url <- new Uri(address.Text))
toolbar.Items.Add(new ToolStripLabel("Address:")) |> ignore
toolbar.Items.Add(address) |> ignore
toolbar.Items.Add(go) |> ignore

// Browser control event handlers.
browser.Navigating.Add(fun e ->
                       statusProgress.Visible <- true)
browser.DocumentCompleted.Add(fun e ->
                              statusProgress.Visible <- false
                              address.Text <- browser.Url.AbsoluteUri)
                             
let form = new Form(Text = "Web Browser Sample", Size = new Size(800, 600))
form.Controls.Add(toolbar)
form.Controls.Add(status)
form.Controls.Add(browser)
form.PerformLayout()
form.Show()

[<STAThread>]
Application.EnableVisualStyles()
Application.Run(form)